# Sources:
[Link 1](https://www.youtube.com/watch?v=ElRzTuYln0M&ab_channel=TheModernCoder)


# Amend
```
<<<<<<< HEAD
<<<<<<< HEAD
- amend is a nice feature to fix the last existing commit in case you forgot to stage some file or some content
- use --no-edit if you dont want to change last git commit message or use -m to specify a new message
git status # no pending changes
git log --oneline -n 3 # show last 3 commits, cause the whole history sucks
- do some change in one of the files
git add changed_file
git commit --amend --no-edit # if you dont want to change the commit message but the header will change 
or 
git commit --amend -m "New message" # if you want to add a new message
or
git commit --amend -am "new message" # if you dont want to use git add
=======
git status # no pending changes
git log --oneline -n 3 # show last 3 commits, cause the whole history sucks

>>>>>>> 30db167 (Adding rewriting_history, updating log)
=======
- amend is a nice feature to fix the last existing commit in case you forgot to stage some file or some content
- use --no-edit if you dont want to change last git commit message or use -m to specify a new message
git status # no pending changes
git log --oneline -n 3 # show last 3 commits, cause the whole history sucks
- do some change in one of the files
git add changed_file
git commit --amend --no-edit # if you dont want to change the commit message but the header will change 
or 
git commit --amend -m "New message" # if you want to add a new message
or
git commit --amend -am "new message" # if you dont want to use git add
>>>>>>> edbd742 (Adding reword section)
```


# Reword
```
<<<<<<< HEAD
<<<<<<< HEAD
- lets assume that we have done some commits and did some typo or you are not happy with the comments so lets rebase
git rebase -i HEAD~2 # shows you the last 2 commits, after your commits will be shown in EDITOR, in the commit which you want to change use reword and save, in the next window you will be presented with the commit you want to change
=======
>>>>>>> 30db167 (Adding rewriting_history, updating log)
=======
- lets assume that we have done some commits and did some typo or you are not happy with the comments so lets rebase
git rebase -i HEAD~2 # shows you the last 2 commits, after your commits will be shown in EDITOR, in the commit which you want to change use reword and save, in the next window you will be presented with the commit you want to change
>>>>>>> edbd742 (Adding reword section)
```

# Rewert commit
```
git revert HEAD
git revert HEAD~2 # two commits ago so HEAD <-- HEAD~1 <-- HEAD~2
```
